UNIQ(1)

NAME
uniq - remove duplicate lines from a sorted file

SYNOPSIS
uniq [OPTION]... [INPUT [OUTPUT]]

DESCRIPTION

Discard all but one of successive identical lines from INPUT (or standard input), writing to OUTPUT (or standard output).

-c, --count
    prefix lines by the number of occurrences

-d, --repeated
    only print duplicate lines

-D, --all-repeated
    print all duplicate lines

-f, --skip-fields=N
    avoid comparing the first N fields

-i, --ignore-case
    ignore differences in case when comparing

-s, --skip-chars=N
    avoid comparing the first N characters

-u, --unique
    only print unique lines

-w, --check-chars=N
    compare no more than N characters in lines

-N  same as -f N

+N  same as -s N

--help
    display this help and exit

--version
    output version information and exit

A field is a run of whitespace, then non-whitespace characters. Fields are skipped before chars.

REPORTING BUGS
Report bugs to <bug-textutils@gnu.org>.

SEE ALSO
The full documentation for uniq is maintained as a Texinfo manual. If the info and uniq programs are properly installed at your site, the command

    info uniq

should give you access to the complete manual.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.